Pular para o conteúdo principal
PATCH
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
channel-account-staging-tokens
/
{accountToken}
Atualize um token de teste na conta do canal
curl --request PATCH \
  --url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-account-staging-tokens/{accountToken} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountName": "<string>"
}
'
{
  "accountToken": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "genericChannelId": 123,
  "inboxId": 123,
  "userId": 123,
  "accountName": "<string>",
  "deliveryIdentifier": {
    "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
    "value": "<string>"
  }
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

accountToken
string
obrigatório
channelId
integer<int32>
obrigatório

Corpo

application/json
accountName
string
deliveryIdentifier
object

Resposta

successful operation

accountToken
string
obrigatório
createdAt
string<date-time>
obrigatório
genericChannelId
integer<int32>
obrigatório
inboxId
integer<int32>
obrigatório
userId
integer<int32>
obrigatório
accountName
string
deliveryIdentifier
object
Last modified on April 13, 2026